Skip to content
WP Engine Documentation

Configure offload settings for an install

POST
/installs/{install_id}/offload_settings/files
curl --request POST \
--url https://api.wpengineapi.com/v1/installs/example/offload_settings/files \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "largefs_settings": { "cloud": "s3", "bucket": "example", "bucket_region": "example", "path_settings": [ { "path": "example", "excluded_paths": [ "example" ], "redirect_type": "break" } ] } }'

Updates the offload settings configuration for a specific install

install_id
required
string format: uuid

ID of install

Properties
  • large_fs_config - required - The configuration for offloaded storage
Media type application/json
object
largefs_settings
object
cloud
string
Allowed values: s3
bucket
string
bucket_region
string
path_settings
Array<object>
object
path
string
excluded_paths
Array<string>
redirect_type
string
Allowed values: break permanent

Accepted

Media type application/json

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Service unavailable

Media type application/json